SDL_SetGPUBufferName(3)

NAME
SDL_SetGPUBufferName - Sets an arbitrary string constant to label a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetGPUBufferName(
    SDL_GPUDevice *device,
    SDL_GPUBuffer *buffer,
    const char *text);

DESCRIPTION
You should use

SDL_PROP_GPU_BUFFER_CREATE_NAME_STRING

with SDL_CreateGPUBuffer
 instead of this function to avoid thread safety issues.

FUNCTION PARAMETERS

device
    a GPU Context.

buffer
    a buffer to attach the name to.

text
    a UTF-8 string constant to mark as the name of the buffer.

THREAD SAFETY
This function is not thread safe, you must make sure the buffer is not simultaneously used by any other thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUBuffer(3)